Subject: [PATCH 7/7] OMAP3: beagleboard: Remove DT support from regular board

From: [email-masked] (Cousson, Benoit)
Date: Fri, 2 Sep 2011 10:59:54 +0200

On 9/2/2011 10:12 AM, Tony Lindgren wrote:
> * Benoit Cousson<[email-masked]>  [110901 19:52]:
>> In order to avoid conflict with the new board-omap3-dt.c file,
>> remove the .dt_compat entry from the beagle regular board
>> file.
>>
>> Any DT work for OMAP3 will have to be done on the generic DT
>> board file to avoid breaking the legacy board support until
>> DT migration is done.
>
> In general we should not keep duplicate old non-DT data around
> now that we have the DT append support. Instead we should just
> require the .dts file appended to zImage for all mach-omap2
> machines. Otherwise we'll end up with double bloat :)

Mmm, I'm not sure to get your point. We are not duplicating, since a 
pure DT generic board will not have anything except a 
of_platform_populate(NULL, omap_dt_match_table, NULL, NULL);
And the regular board files will keep initializing devices statically.
The drivers will then for the moment support both pdata and DT method to 
get board parameters.

> So it's OK to have the DT entries in board files so drivers
> that get converted will work with them.

Well, it will be a little bit more tricky, because having DT in current 
board files will be a mess with a bunch of #ifdef CONFIG_OF, and adding 
DT compatible inside each boards will prevent the pure generic DT one to 
work. In that case we will duplicate the DT migration in every legacy 
boards files...

That's why the current strategy is to keep the current board files 
non-DT aware and add the DT support only to the generic DT board file.

Regards,
Benoit